summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-13 00:26:07 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:26:07 +0200
commit8a6d114c1e2cb41c8a1dd9aba8eceaa5bc2c0817 (patch)
tree3afb96e090c2f34bd9725714d77721345449056a /games
parent4da2e3ee472e8ea8ebfe57af1d00eb7b4d1e35f6 (diff)
downloadslackbuilds-8a6d114c1e2cb41c8a1dd9aba8eceaa5bc2c0817.tar.gz
slackbuilds-8a6d114c1e2cb41c8a1dd9aba8eceaa5bc2c0817.tar.xz
games/desmume: Updated for version 0.9.5
Diffstat (limited to 'games')
-rw-r--r--games/desmume/README12
-rw-r--r--games/desmume/desmume.SlackBuild24
-rw-r--r--games/desmume/desmume.info10
-rw-r--r--games/desmume/doinst.sh1
4 files changed, 27 insertions, 20 deletions
diff --git a/games/desmume/README b/games/desmume/README
index c620902bcf..922eaafadb 100644
--- a/games/desmume/README
+++ b/games/desmume/README
@@ -1,13 +1,5 @@
DeSmuME is a Nintendo DS emulator running homebrew demos and commercial games.
-This requires gtkglext.
+DeSmuME requires gtkglext and agg.
-Optionally DeSmuMe can use zziplib if installed.
-
-Note about Nvidia drivers:
-DeSmuMe doesn't compile with Nvidia's OpenGL header files. To compile DeSmuMe
-on computers with SlackBuilds.org Nvidia Drivers run the following commands:
-
-nvidia-switch --xorg
-./desmume.SlackBuild
-nvidia-switch --nvidia \ No newline at end of file
+Optionally DeSmuMe can use zziplib and lua if installed.
diff --git a/games/desmume/desmume.SlackBuild b/games/desmume/desmume.SlackBuild
index acd395e13e..36201deb99 100644
--- a/games/desmume/desmume.SlackBuild
+++ b/games/desmume/desmume.SlackBuild
@@ -1,11 +1,9 @@
#!/bin/sh
-
# Slackware build script for desmume
-
# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
PRGNAM=desmume
-VERSION=${VERSION:-0.9.2}
+VERSION=${VERSION:-0.9.5}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +15,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -38,16 +39,25 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix end-of-line encoding.
+sed -i 's/\r//' AUTHORS ChangeLog
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--mandir=/usr/man \
+ --enable-osmesa \
--enable-gdb-stub \
+ --enable-wifi \
+ --with-x \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -55,7 +65,9 @@ make install-strip DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog COPYING INSTALL README* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL README README.LIN \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -63,4 +75,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/desmume/desmume.info b/games/desmume/desmume.info
index a42bd7496c..d28242283f 100644
--- a/games/desmume/desmume.info
+++ b/games/desmume/desmume.info
@@ -1,8 +1,10 @@
PRGNAM="desmume"
-VERSION="0.9.2"
+VERSION="0.9.5"
HOMEPAGE="http://desmume.org/"
-DOWNLOAD="http://downloads.sourceforge.net/desmume/desmume-0.9.2.tar.gz"
-MD5SUM="51482de785dce04590532b946321196d"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/desmume/desmume-0.9.5.tar.gz"
+MD5SUM="aca40a8507d4104626da7086d451037b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Larry Hajali"
EMAIL="larryhaja[at]gmail[dot]com"
-APPROVED="dsomero"
+APPROVED="michiel"
diff --git a/games/desmume/doinst.sh b/games/desmume/doinst.sh
index 5fb28930db..4e8ba7071d 100644
--- a/games/desmume/doinst.sh
+++ b/games/desmume/doinst.sh
@@ -1,3 +1,4 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+